<bugID>353948<Summary>Digitally sign firefox.exe with an embedded url</Summary><Description>Not sure if we want to do this...
From http://msdn.microsoft.com/library/default.asp?url=/library/en-us/shellcc/platform/shell/programmersguide/shell_new_vista/default_programs.asp

When the user selects a program from the list, the program icon and provider are displayed. If the URL is embedded in the program's digitally signed certificate, the program can also display a URL. Programs that are not digitally signed cannot display a URL.</Description></bugID>